; fxErrs.INC                                                                 ;
; Copyright (c) Genus Microprogramming, Inc. 1988-89  All Rights Reserved.   ;

;****************************************************************************;
;                                                                            ;
; This file contains defines for PCX F/X error messages.                     ;
;                                                                            ;
;                                                                            ;
;                                                                            ;
;                                                                            ;
;                                                                            ;
;                                                                            ;
; Microsoft ASM 5.x version.              Programmer: Chris Howard  3/15/89  ;
;                                                                            ;
;****************************************************************************;

fxSUCCESS           equ  pcxSUCCESS         ;Successful
                                          
fxERR_BADPAL        equ  pcxERR_BADPAL      ;Bad palette
fxERR_CLIPPARM      equ  pcxERR_CLIPPARM    ;Invalid number of Clipper parms
fxERR_NOTIMPL       equ  pcxERR_NOTIMPL     ;Not implemented yet
fxERR_GENERAL       equ  pcxERR_GENERAL     ;General error
fxERR_ESCAPE        equ  pcxERR_ESCAPE      ;Escape key was pressed  
fxERR_NOEMM         equ  pcxERR_NOEMM       ;No EMM driver was found
fxERR_EMMFAIL       equ  pcxERR_EMMFAIL     ;General EMM driver failure
fxERR_EMMNOMEM      equ  pcxERR_EMMNOMEM    ;No EMM memory available   
fxERR_BADMEMTYPE    equ  pcxERR_BADMEMTYPE  ;Bad virtual memory type   
fxERR_CMMFAIL       equ  pcxERR_CMMFAIL     ;General CMM alloc/free error
fxERR_CMMNOMEM      equ  pcxERR_CMMNOMEM    ;No CMM memory available      

fxERR_BADEFFECT     equ  -1000              ;Effect not defined or invalid
fxERR_BADGRAIN      equ  -1001              ;Grain not defined or invalid
fxERR_BADDELAY      equ  -1002              ;Delay not defined or invalid
